//  Beispiel 17: HTTP Daten von Internetseite holen und anzeigen
//
//  Unter Verwendung der IoT32 Brick Library

#include <all_IoT32.h>

String page = "https://iot.allnet.de/data/esp/finance/crypto/BTCEUR";

void setup()
{
  IoT_Init(true);
  IoT_TerminalWaitInit(true);
  IoT_WLANautoConnect(true);                  // Verbindung, ggf. gespeicherte, über WLAN herstellen
  Serial.println("Looking for NTP-Server...");
  IoT_NTPinit();                                                    // NTP-Timeserver initialisieren
  while (not(IoT_NTPvalid()))
  {
    delay(100);
  }
  if (IoT_NTPeventAvail)                                        // Zeitevent triggern
  {
    IoT_NTPprintEvent(IoT_NTPcurrentEvent);
    IoT_NTPeventAvail = false;
  }
}

void loop()
{
  Serial.println("");
  page = t_TerminalInput("URL eingeben: ", page, 65, t_Input_String);
  Serial.println("");
  Serial.println("");
  String s = IoT_GetContentHTTP(page, true);
  if ((lcase(s) == "ende") || (lcase(s) == "quit"))
  {
    IoT_ShutDown(); // Display ausschalten und Bearbeitung beenden
  }
}

